package org.bitbucket.bradleysmithllc.etlunit;

import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestClass;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestMethod;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestOperation;

public interface LogListener
{
	enum message_type
	{
		debug,
		info,
		severe
	}

	void log(message_type type, String text, ETLTestClass etlClass, ETLTestMethod method, ETLTestOperation operation);

	void log(message_type type, Throwable error, String text, ETLTestClass etlClass, ETLTestMethod method, ETLTestOperation operation);
}